#!/usr/bin/env python
import polygen
import matplotlib.pyplot as plt

# Colors from the 'solarized' color scheme

# Generate regular polygon with eight corners (heptagon)
heptagon = polygen.regular_star_polygon(7)

# Create the polygon plotting object
p = polygen.polyplot()

# Add a circle to be in the background
p.plot_circle(coord=[0,0], radius=1.0, color='#073642')

# Pass the heptagon points to the plot object
p.set_points(heptagon.points)

# Plot heptagon, do not draw lines to opposite points. Use custom colors.
p.plot_all_to_all(line_width=2, line_color='#b58900',
        exceptions=[[0,1], [1,2], [2,3], [3,4], [4,5], [5,6], [6,0]])

# Add another smaller heptagon
heptagon_small = polygen.regular_star_polygon(7, 0.7)

# Pass the heptagon points to the plot object
p.set_points(heptagon_small.points)

# Plot heptagon, do not draw lines to opposite points. Use custom colors.
p.plot_all_to_all(line_width=2, line_color='#dc322f',
        exceptions=[[0,1], [1,2], [2,3], [3,4], [4,5], [5,6], [6,0]])

# Add yet another even smaller heptagon
heptagon_smaller = polygen.regular_star_polygon(7, 0.5)

# Pass the heptagon points to the plot object
p.set_points(heptagon_smaller.points)

# Plot heptagon, do not draw lines to opposite points. Use custom colors.
p.plot_all_to_all(line_width=2, line_color='#859900',
        exceptions=[[0,1], [1,2], [2,3], [3,4], [4,5], [5,6], [6,0]])

# Add yet another even smaller heptagon
heptagon_smallest = polygen.regular_star_polygon(7, 0.3)

# Pass the heptagon points to the plot object
p.set_points(heptagon_smallest.points)

# Plot heptagon, do not draw lines to opposite points. Use custom colors.
p.plot_all_to_all(line_width=2, line_color='#657b83',
        exceptions=[[0,1], [1,2], [2,3], [3,4], [4,5], [5,6], [6,0]])

# Save figure as file
p.save_plot('heptagon', background_color='#002b36',
        transparent_background=False)
