#!/usr/bin/env python
import polygen
import matplotlib.pyplot as plt

# Generate regular polygon with eight corners (octahedron)
octahedron = polygen.regular_star_polygon(8)

# Create the polygon plotting object
p = polygen.polyplot(figure_size_inches=(25.50,14.40), dpi=160)

# Pass the octahedron points to the plot object
p.set_points(octahedron.points)

# Plot octahedron, do not draw lines to opposite points. Use custom colors.
p.plot_all_to_all(line_width=4, line_color='#666666',
        exceptions=[[0,4], [1,5], [2,6], [3,7]])

# Place red dot in center
p.plot_circle([0,0], 0.34, color='#993333')

# Save figure as file
p.save_plot('octahedron-bg',
        background_color='#002b36', transparent_background=False)
        #background_color='#333333', transparent_background=False)
